import 'package:feed_plugin_example/app.dart';
import 'package:flutter/material.dart';
import 'package:flutter_localizations/flutter_localizations.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:feed_plugin_example/localization/localizations.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  double defaultScreenWidth = 375.0;
  double defaultScreenHeight = 812.0;

  final List<Locale> localeList = [
    const Locale('en', ''),
    const Locale('ru', ''),
    const Locale('he', ''),
    const Locale('de', ''),
  ];

  @override
  Widget build(BuildContext context) {
    return ScreenUtilInit(
      designSize: Size(defaultScreenWidth, defaultScreenHeight),
      builder: (context, child) => MaterialApp(
        home: App(),
        localizationsDelegates: [
          PhonedoLocalizationsDelegate(),
          GlobalMaterialLocalizations.delegate,
          GlobalWidgetsLocalizations.delegate,
          GlobalCupertinoLocalizations.delegate,
        ],
        locale: Locale('en'),
        supportedLocales: localeList,
      ),
    );
  }
}
