import 'package:feed_plugin/environment_config.dart';
import 'package:feed_plugin/pages/home_page.dart';
import 'package:feed_plugin/utilities/colors.dart';
import 'package:flutter/material.dart';
import 'package:pusher_client/pusher_client.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class FeedPlugin extends StatefulWidget {
  final String? token;
  final String? firstName;
  final String? lastName;
  final String? about;
  final String? profileImg;
  final String? partnerCompanyName;
  final String? logo;
  final Color? primaryColor;
  final Color? secondColor;
  final media;
  final loc;

  const FeedPlugin({
    Key? key,
    required this.token,
    required this.firstName,
    required this.lastName,
    required this.about,
    required this.profileImg,
    this.partnerCompanyName,
    this.logo,
    this.primaryColor,
    this.secondColor,
    this.media,
    this.loc,
  }) : super(key: key);

  static void registerWith(register) {}

  static PusherClient pusher = PusherClient(
    EnvironmentConfig.PUSHER_ENV,
    PusherOptions(
      cluster: "ap2",
    ),
    autoConnect: false,
  );
  static Future connect() async {
    pusher.connect();
  }

  static disconnect() {
    pusher.disconnect();
  }

  @override
  _FeedPluginState createState() => _FeedPluginState();
}

class _FeedPluginState extends State<FeedPlugin> {
  double defaultScreenWidth = 375.0;
  double defaultScreenHeight = 812.0;
  @override
  void initState() {
    if (this.widget.primaryColor != null && widget.secondColor != null) {
      primaryColor = widget.primaryColor!;
      secondColor = widget.secondColor!;
    }
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return ScreenUtilInit(
      designSize: Size(defaultScreenWidth, defaultScreenHeight),
      builder: (context, child) => HomePage(
        token: this.widget.token,
        firstName:
            this.widget.firstName != null && this.widget.firstName != "null"
                ? this.widget.firstName
                : "",
        lastName: this.widget.lastName != null && this.widget.lastName != "null"
            ? this.widget.lastName
            : "",
        about: this.widget.about,
        profileImg: this.widget.profileImg,
        partnerMedia: this.widget.media,
        partnerName: this.widget.partnerCompanyName,
        partnerProfileImg: this.widget.logo,
        loc: this.widget.loc,
      ),
    );
  }
}
