import 'dart:math';
import 'package:feed_plugin/utilities/colors.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class DefaultProfileImg extends StatefulWidget {
  const DefaultProfileImg({
    Key? key,
    this.firstName,
    this.lastName,
    required this.heightProfileImage,
    required this.widthProfileImage,
  }) : super(key: key);

  final String? firstName;
  final String? lastName;
  final int heightProfileImage;
  final int widthProfileImage;

  @override
  _DefaultProfileImgState createState() => _DefaultProfileImgState();
}

class _DefaultProfileImgState extends State<DefaultProfileImg> {
  late bool flagLast;
  late bool flagFirst;

  @override
  void initState() {
    check();
    super.initState();
  }

  check() {
    bool flag1 = true;
    bool flag2 = true;

    if (widget.lastName == null ||
        widget.lastName == "null" ||
        widget.lastName == "") {
      flag1 = false;
    }
    if (widget.firstName == null ||
        widget.firstName == "null" ||
        widget.firstName == "") {
      flag2 = false;
    }

    setState(() {
      flagFirst = flag2;
      flagLast = flag1;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.widthProfileImage.toDouble(),
      height: widget.heightProfileImage.toDouble(),
      decoration: new BoxDecoration(
        color: appDisabledButtonColor,
        shape: BoxShape.circle,
      ),
      child: Center(
        child: Text(
          flagFirst && flagLast
              ? this.widget.firstName!.trimLeft().substring(0, 1) +
                  this.widget.lastName!.trimLeft().substring(0, 1)
              : flagFirst && !flagLast
                  ? this.widget.firstName!.trimLeft().substring(0, 1)
                  : !flagFirst && flagLast
                      ? this.widget.lastName!.trimLeft().substring(0, 1)
                      : "",
          style: TextStyle(
            color: primaryColor,
            fontSize: ScreenUtil().setSp(15),
          ),
        ),
      ),
    );
  }
}
